Page MenuHomeFreeBSD

gai_strerror() - Update string error messages according to RFC 3493
ClosedPublic

Authored by pfg on Dec 21 2018, 4:37 PM.

Details

Reviewers
ygy
bcr
pfg
Group Reviewers
network
docs
manpages
Summary

I noticed NetBSD started bogusly rreplacing EAI_NONAME with the deprecated EAI_NODATA, this was done because the haven't tagged EAI_NODATA as deprecated but also because the messsage for EAI_NONAME doesn't correspond well to EAI_NODATA.

Also, for a non.-developer end user something like "Invalid value for ai_flags" or "ai_family not supported" is not a very descriptive message.

Looking up more modern descriptions, I came up with the latest RFC 3493 with more up to date messages.

I just noticed we should also update the gai_strerror(3) man page, so that will come in a future revision.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped
Build Status
Buildable 21694

Event Timeline

pfg created this revision.Dec 21 2018, 4:37 PM
ygy accepted this revision as: ygy.Dec 22 2018, 9:16 AM
This revision is now accepted and ready to land.Dec 22 2018, 9:16 AM
bcr accepted this revision.Dec 22 2018, 3:32 PM
bcr added a subscriber: bcr.

OK from the docs side.

pfg updated this revision to Diff 52253.Dec 23 2018, 12:49 AM

Keep the documentation consitent in the headers and manpage as well.
(Yes, I still have to update the manpage date before committing).

This revision now requires review to proceed.Dec 23 2018, 12:49 AM
bcr accepted this revision.Dec 23 2018, 10:48 AM

OK from manpages.

This revision is now accepted and ready to land.Dec 23 2018, 10:48 AM
bz added a subscriber: bz.Dec 23 2018, 11:12 AM
bz added inline comments.
include/netdb.h
162

Comments end in '.'

lib/libc/net/gai_strerror.3
73

Do you think you could also add a "SEE ALSO" section with a reference to the RFC(s)?

pfg updated this revision to Diff 52263.Dec 23 2018, 5:49 PM
This revision now requires review to proceed.Dec 23 2018, 5:49 PM
pfg marked 2 inline comments as done.Dec 23 2018, 5:50 PM

Thanks for the suggestions.

lib/libc/net/gai_strerror.3
73

I added STANDARDS, as in other pages.

pfg accepted this revision.Dec 23 2018, 6:21 PM
pfg marked an inline comment as done.

Commtted as r342379

This revision is now accepted and ready to land.Dec 23 2018, 6:21 PM
pfg closed this revision.Dec 23 2018, 6:21 PM